Al intentar actualizar Promox recibía el error en la consola de que no podría actualizar porque había cambiado la Label del paquete. Esto se debe a que la base datos local del repositorio cuando intenta recibir la información del paquete, el servidor le devuelve otra version/canal del paquete por lo que dará el error. Esto suele suceder por ejemplo en el cambio de una version beta a Release o al cambiar la version del Release.

Por ejemplo en mi caso me daba el siguiente error:

()
starting apt-get update
Hit:1 http://ftp.es.debian.org/debian bullseye InRelease
Get:2 http://security.debian.org bullseye-security InRelease [44.1 kB]
Get:3 http://ftp.es.debian.org/debian bullseye-updates InRelease [36.8 kB]
Reading package lists...
E: Repository 'http://security.debian.org bullseye-security InRelease' changed its 'Label' value from 'Debian' to 'Debian-Security'
E: Repository 'http://security.debian.org bullseye-security InRelease' changed its 'Codename' value from 'bullseye-updates' to 'bullseye-security'
TASK ERROR: command 'apt-get update' failed: exit code 100

Para solucionar esto debemos decir a apt que acepte el nuevo cambio de version y actualice la base de datos local del repositorio con esos datos nuevos. Por ellos solo hay que ejecutar el siguiente comando:

apt-get update --allow-releaseinfo-change

Después de esto ya podemos volver a buscar las actualizaciones y no dará errores.

Poxmox: Task viewer package Database